Bug 1816637 - `Active Deadline Seconds` does not display on pod details
Summary: `Active Deadline Seconds` does not display on pod details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1816362
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 12:13 UTC by Robb Hamilton
Modified: 2020-05-04 11:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1816362
Environment:
Version: 4.5.0-0.ci-2020-03-21-123603 Cluster ID: 26d70ff0-7f61-4770-b8b5-0127493bcbad Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.149 Safari/537.36
Last Closed: 2020-05-04 11:47:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4804 None closed [release-4.4] Bug 1816637: Fix bug where `Active Deadline Seconds` does not display on pod details 2020-04-17 20:06:14 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:47:44 UTC

Description Robb Hamilton 2020-03-24 12:13:36 UTC
+++ This bug was initially created as a clone of Bug #1816362 +++

Description of problem:  If a pod has `Active Deadline Seconds` set, the pod details page does not display the value.  Instead it always displays "Not Configured".

Comment 3 Yadan Pei 2020-04-10 08:16:34 UTC
1. Create Pod with following YAML which has activeDeadlineSeconds set

apiVersion: v1
kind: Pod
metadata:
  name: init-deadline
spec:
  containers:
  - name: hello-pod
    image: docker.io/ocpqe/hello-pod
    ports:
    - containerPort: 80
    volumeMounts:
    - name: workdir
      mountPath: /usr/share/nginx/html
  initContainers:
  - name: init
    image: centos:centos7
    command:
    - /bin/sh
    - "-c"
    - "sleep 30"
  activeDeadlineSeconds: 15
  volumes:
  - name: workdir
    emptyDir: {}

2. Check details on Pod details page, it shows    

Active Deadline Seconds
15 seconds


Verified on     4.4.0-0.nightly-2020-04-09-194724

Comment 5 errata-xmlrpc 2020-05-04 11:47:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.